/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.MtTestPointStatisticsDao;
import net.northking.cctp.dw.db.entity.DwTestPoint;
import net.northking.cctp.dw.db.service.MtTestPointStatisticsService;
import net.northking.cctp.dw.db.entity.MtTestPointStatistics;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.MtTestPointStatisticsDetailDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 需求分析统计图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:58:27  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "MtTestPointStatisticsServiceImpl")
public class MtTestPointStatisticsServiceImpl extends PaginationService<MtTestPointStatistics> implements MtTestPointStatisticsService {
    private static final Logger logger = LoggerFactory.getLogger(MtTestPointStatisticsServiceImpl.class);

    private final MtTestPointStatisticsDao mtTestPointStatisticsDao;

    public MtTestPointStatisticsServiceImpl(MtTestPointStatisticsDao mtTestPointStatisticsDao) {
        this.mtTestPointStatisticsDao = mtTestPointStatisticsDao;
    }

    public BasicDao<MtTestPointStatistics> getDao() {
        return mtTestPointStatisticsDao;
    }

    public MtTestPointStatistics createEntity() {
        return new MtTestPointStatistics();
    }

    @Override
    protected void beforeInsert(MtTestPointStatistics mtTestPointStatistics) {

    }

    @Override
    protected void beforeUpdate(MtTestPointStatistics mtTestPointStatistics) {

    }

    @Override
    public List<MtTestPointStatisticsDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto) {
        return mtTestPointStatisticsDao.listQuery(chartDataGeneQueryDto);
    }

    @Override
    public Integer syncPointNotice(DwTestPoint dwTestPoint) {
        return mtTestPointStatisticsDao.syncPointNotice(dwTestPoint);
    }

    @Override
    public Integer deleteByExampleByProjectIds(MtTestPointStatistics mtTestPointStatistics) {
        return mtTestPointStatisticsDao.deleteByExampleByProjectIds(mtTestPointStatistics);
    }

}

